For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search for prices in a price list

The search answers the question: Give all prices that have products with brand in brandUids AND productGroup in groupUids AND that have product SKU/name, brand name or productGroup name which contains the query words.

post
/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/search
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
pricelistUidstringRequired

Reference to a Pricelist.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body
querystringOptional
brandUidsstring[]Optional
productGroupUidsstring[]Optional
fromDatestring · date-timeOptional
toDatestring · date-timeOptional
Responses
200

Example response

application/json
post/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/search
POST /v2/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 139

{
  "query": "text",
  "brandUids": [
    "text"
  ],
  "productGroupUids": [
    "text"
  ],
  "fromDate": "2026-01-01T00:00:00.000Z",
  "toDate": "2026-01-01T00:00:00.000Z"
}
{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "fromDate": "2026-01-01T00:00:00.000Z",
      "toDate": "2026-01-01T00:00:00.000Z",
      "price": 1,
      "priceUid": "text",
      "pricelistUid": "text",
      "productExternalId": "text",
      "productUid": "text",
      "productName": "text",
      "productRecommendedRetailPrice": 1,
      "productSku": "text",
      "brand": {
        "brandUid": "text",
        "name": "text"
      },
      "productGroup": {
        "productGroupUid": "text",
        "name": "text",
        "path": [
          {
            "name": "text",
            "parentUid": "text",
            "productGroupUid": "text"
          }
        ]
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?